DCMTK: DSRWaveformChannelItem Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DSRWaveformChannelItem Class Reference

Class for waveform channel items. More...

## Public Member Functions
| DSRWaveformChannelItem (const Uint16 multiplexGroupNumber=0, const Uint16 channelNumber=0)
| (default) constructor
OFBool | isEqual (const DSRWaveformChannelItem &item) const
| check whether items are "equal"
OFBool | isNotEqual (const DSRWaveformChannelItem &item) const
| check whether items are "not equal"
OFBool | isLessThan (const DSRWaveformChannelItem &item) const
| check whether this item is "less than" the given item
OFBool | isGreaterThan (const DSRWaveformChannelItem &item) const
| check whether this item is "greater than" the given item

## Public Attributes
Uint16 | MultiplexGroupNumber
| multiplex group number value (VR=US)
Uint16 | ChannelNumber
| channel number value (VR=US)

## Detailed Description

Class for waveform channel items.

## Constructor & Destructor Documentation

## ◆ DSRWaveformChannelItem()

DSRWaveformChannelItem::DSRWaveformChannelItem | ( | const Uint16 | multiplexGroupNumber = 0,
|  | const Uint16 | channelNumber = 0 )
| inline

(default) constructor

Parameters

  multiplexGroupNumber | optional multiplex group number
  channelNumber | optional channel number

References ChannelNumber, and MultiplexGroupNumber.

Referenced by isEqual(), isGreaterThan(), isLessThan(), and isNotEqual().

## Member Function Documentation

## ◆ isEqual()

OFBool DSRWaveformChannelItem::isEqual | ( | const DSRWaveformChannelItem & | item | ) | const
| inline

check whether items are "equal"

Parameters

  item | item with which the (m,c) pair should be compared

Returns
  OFTrue if both pairs are equal, OFFalse otherwise

References DSRWaveformChannelItem(), ChannelNumber, and MultiplexGroupNumber.

## ◆ isGreaterThan()

OFBool DSRWaveformChannelItem::isGreaterThan | ( | const DSRWaveformChannelItem & | item | ) | const
| inline

check whether this item is "greater than" the given item

Parameters

  item | item with which the (m,c) pair should be compared

Returns
  OFTrue if greater. ChannelNumber takes precedence over MultiplexGroupNumber.

References DSRWaveformChannelItem(), ChannelNumber, and MultiplexGroupNumber.

## ◆ isLessThan()

OFBool DSRWaveformChannelItem::isLessThan | ( | const DSRWaveformChannelItem & | item | ) | const
| inline

check whether this item is "less than" the given item

Parameters

  item | item with which the (m,c) pair should be compared

Returns
  OFTrue if smaller. ChannelNumber takes precedence over MultiplexGroupNumber.

References DSRWaveformChannelItem(), ChannelNumber, and MultiplexGroupNumber.

## ◆ isNotEqual()

OFBool DSRWaveformChannelItem::isNotEqual | ( | const DSRWaveformChannelItem & | item | ) | const
| inline

check whether items are "not equal"

Parameters

  item | item with which the (m,c) pair should be compared

Returns
  OFTrue if not equal, OFFalse if equal

References DSRWaveformChannelItem(), ChannelNumber, and MultiplexGroupNumber.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrwavch.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2